## ros-humble-pose-cov-ops 0.3.10

=== CMakeLists.txt ===
execute_process(COMMAND bash -c "env | grep ROS" OUTPUT_VARIABLE ENV_VAL)
message(STATUS "Env variables:\n${ENV_VAL}")
if ("$ENV{ROS_VERSION}" STREQUAL "2")
	cmake_minimum_required(VERSION 3.8)
	set(PACKAGE_ROS_VERSION 2)
	set(ROS_2 TRUE)
else()
	cmake_minimum_required(VERSION 3.1)
	set(PACKAGE_ROS_VERSION 1)
	set(ROS_1 TRUE)
endif()

project(pose_cov_ops)

# -----------------------------------------
# ROS 1
# -----------------------------------------
if (ROS_1)
	## Find catkin macros and libraries
	## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
	## is used, also find other catkin packages
	find_package(catkin REQUIRED COMPONENTS
		geometry_msgs
		tf2
		roscpp
	)

	###################################
	## catkin specific configuration ##
	###################################
	## The catkin_package macro generates cmake config files for your package
	## Declare things to be passed to dependent projects
	## INCLUDE_DIRS: uncomment this if you package contains header files
	## LIBRARIES: libraries you create in this project that dependent projects also need
	## CATKIN_DEPENDS: catkin_packages dependent projects also need
	## DEPENDS: system dependencies of this project that dependent projects also need
	catkin_package(
		INCLUDE_DIRS include
		LIBRARIES ${PROJECT_NAME}
		CATKIN_DEPENDS
				geometry_msgs
				tf2
		)
		
	find_package(mrpt-ros1bridge REQUIRED)
endif()

# -----------------------------------------
# ROS 2
# -----------------------------------------
if (ROS_2)
	# find dependencies
	find_package(ament_cmake REQUIRED)
	
	find_package(geometry_msgs REQUIRED)
	find_package(tf2 REQUIRED)
	find_package(mrpt-ros2bridge REQUIRED)
endif()

# -----------------------------------------
# ROS 1 & 2 common deps:
# -----------------------------------------
find_package(mrpt-poses REQUIRED)

###########
## Build ##
###########

# Specify additional locations of header files
# Your package locations should be listed before other locations
if (catkin_INCLUDE_DIRS)
	include_directories(include ${catkin_INCLUDE_DIRS})
endif()

## Declare a cpp library
add_library(${PROJECT_NAME} SHARED
   src/${PROJECT_NAME}.cpp
)

# Done automatically via mrpt exported cmake flags
# set(CMAKE_CXX_STANDARD 17)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
	# High level of warnings.
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall -Wextra -Wpedantic)

	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	target_compile_options(${PROJECT_NAME} PUBLIC -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		target_compile_options(${PROJECT_NAME} PUBLIC -Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

## Declare a cpp executable
# add_executable(pose_cov_ops_node src/pose_cov_ops_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(pose_cov_ops_node pose_cov_ops_generate_messages_cpp)

if (ROS_1)
	target_link_libraries(${PROJECT_NAME} 
		PRIVATE
		${catkin_LIBRARIES}
		mrpt::ros1bridge
		mrpt::poses
		)
else()
	ament_target_dependencies(${PROJECT_NAME} rclcpp geometry_msgs tf2)

	target_link_libraries(${PROJECT_NAME} 
		mrpt::ros2bridge
		mrpt::poses
		)
endif()


target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>"
)

target_compile_definitions(${PROJECT_NAME} PUBLIC
  PACKAGE_ROS_VERSION=${PACKAGE_ROS_VERSION}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
# in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

# Mark executables and/or libraries for installation
if (ROS_2)
	set(CATKIN_PACKAGE_LIB_DESTINATION lib)
	set(CATKIN_PACKAGE_BIN_DESTINATION bin)
	set(CATKIN_PACKAGE_INCLUDE_DESTINATION include)
endif()

install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(ROS_2)
	set(INCLUDE_DIR_TO_INSTALL "include/${PROJECT_NAME}")
else()
	set(INCLUDE_DIR_TO_INSTALL "include/${PROJECT_NAME}/")
endif()

# Mark cpp header files for installation
install(DIRECTORY ${INCLUDE_DIR_TO_INSTALL}
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
	FILES_MATCHING PATTERN "*.h"
)

#############
## Testing ##
#############
# Add gtest based cpp test target and link libraries
if (ROS_1)
	catkin_add_gtest(${PROJECT_NAME}-test test/test_pose_cov_ops.cpp)
endif()

if (ROS_2)
	#find_package(ament_cmake_copyright REQUIRED)
	#find_package(ament_cmake_cppcheck REQUIRED)
	#find_package(ament_cmake_cpplint REQUIRED)
	#find_package(ament_cmake_lint_cmake REQUIRED)
	#find_package(ament_cmake_uncrustify REQUIRED)
	find_package(ament_cmake_xmllint REQUIRED)

	#ament_copyright()
	#ament_cpplint()
	#ament_lint_cmake()
	ament_xmllint()

	find_package(ament_cmake_gtest REQUIRED)

	ament_add_gtest(${PROJECT_NAME}-test test/test_pose_cov_ops.cpp)

	ament_export_dependencies(mrpt-ros2bridge)

	# Export old-style CMake variables
	ament_export_include_directories("include/${PROJECT_NAME}")
	ament_export_libraries(${PROJECT_NAME})

	# Export modern CMake targets
	ament_export_targets(export_${PROJECT_NAME})

	ament_package()
endif()

if(TARGET ${PROJECT_NAME}-test)
	target_link_libraries(${PROJECT_NAME}-test
		${PROJECT_NAME}
		mrpt::poses
		)
	if (ROS_1)
		target_link_libraries(${PROJECT_NAME}-test mrpt::ros1bridge)
	else()
		target_link_libraries(${PROJECT_NAME}-test mrpt::ros2bridge)
	endif()
endif()

=== debian/changelog ===
ros-humble-pose-cov-ops (0.3.10-1jammy) jammy; urgency=high

  * Fix installation of headers for ROS 1
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 06 Apr 2023 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.9-1jammy) jammy; urgency=high

  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/12> from roncapat/patch-1
    Fix build issues with ROS2
  * Update README.md: fix badge table
  * Contributors: Jose Luis Blanco-Claraco, Patrick Roncagliolo

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 31 Mar 2023 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.8-1jammy) jammy; urgency=high

  * Add compose() and inverseCompose() versions for tf2::Transform
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 05 Sep 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.7-1jammy) jammy; urgency=high

  * Remove duplicated entry in package.xml
  * Offer an C++ API with return-by-value semantics.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.6-1jammy) jammy; urgency=high

  * fix package.xml build_type for ros1/ros2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 11 Jun 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.5-1jammy) jammy; urgency=high

  * Remove find_package() calls due to wrong mrpt-ros2bridge-config.cmake in older mrpt2 versions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 09 Jun 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.4-1jammy) jammy; urgency=high

  * Fix missing cmake xmllint at configure time.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.3-1jammy) jammy; urgency=high

  * Fix build for ros2
  * Rename license as "LICENSE"
  * Add contributing.md file
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 29 May 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.2-1jammy) jammy; urgency=high

  * Unify ros1/ros2 build system in one single git branch.
  * Port to mrpt2, avoid dependency on pkg mrpt_bridge
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.1-1jammy) jammy; urgency=high

  * Add License file
  * remove wrong xml comment reference to mrpt1
  * remove travis CI
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-pose-cov-ops (0.3.0-1jammy) jammy; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * update to mrpt2
  * add basic unit test
  * Set message to status again instead of warning
  * Updating CMakeLists.txt to pass build on Ubuntu 16.04LTS with CMake 3.5 with the latest version of MRPT
  * Add ros build farm badgets and links
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 23:00:00 -0000

ros-humble-pose-cov-ops (0.2.1-1jammy) jammy; urgency=high

  * fix catkin_lint issues
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 20 May 2018 22:00:00 -0000

ros-humble-pose-cov-ops (0.2.0-1jammy) jammy; urgency=high

  * Made compatible with MRPT 1.x and 2.x
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 08 Jan 2018 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.7-1jammy) jammy; urgency=high

  * relaxing need to find lib mrpt >=1.5
  * Silent GCC warnings with Eigen hdrs
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 08 Dec 2017 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.6-1jammy) jammy; urgency=high

  * Fix catkin dependencies
  * Use C++14
  * Fix build against MRPT 1.5 and 2.0
  * Contributors: Javier G. Monroy, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 03 Dec 2017 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.5-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.4-1jammy) jammy; urgency=high

  * Ported from old repository in mrpt_navigation

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.3-1jammy) jammy; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.2-1jammy) jammy; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.1-1jammy) jammy; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

ros-humble-pose-cov-ops (0.1.0-1jammy) jammy; urgency=high

  * consistent version numbers
  * Fixed: pose_cov_ops needs export section in manifest

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-humble-pose-cov-ops
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, libgtest-dev <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-mrpt2, ros-humble-ros-environment, ros-humble-tf2, ros-humble-ros-workspace
Homepage: https://wiki.ros.org/pose_cov_ops
Standards-Version: 3.9.2

Package: ros-humble-pose-cov-ops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-mrpt2, ros-humble-tf2, ros-humble-ros-workspace
Description: C++ library for SE(2)/SE(3) pose composition operations with uncertainty

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pose-cov-ops//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pose-cov-ops 0.3.11

=== debian/changelog ===
ros-humble-pose-cov-ops (0.3.11-1bookworm) bookworm; urgency=high

  * Fix ROS 1 warning: catkin_add_gtest() should be inside CATKIN_ENABLE_TESTING
  * Fix typos
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 17 Sep 2023 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.10-1bookworm) bookworm; urgency=high

  * Fix installation of headers for ROS 1
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 06 Apr 2023 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.9-1bookworm) bookworm; urgency=high

  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/12> from roncapat/patch-1
    Fix build issues with ROS2
  * Update README.md: fix badge table
  * Contributors: Jose Luis Blanco-Claraco, Patrick Roncagliolo

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 31 Mar 2023 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.8-1bookworm) bookworm; urgency=high

  * Add compose() and inverseCompose() versions for tf2::Transform
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 05 Sep 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.7-1bookworm) bookworm; urgency=high

  * Remove duplicated entry in package.xml
  * Offer an C++ API with return-by-value semantics.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 23 Jun 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.6-1bookworm) bookworm; urgency=high

  * fix package.xml build_type for ros1/ros2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 11 Jun 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.5-1bookworm) bookworm; urgency=high

  * Remove find_package() calls due to wrong mrpt-ros2bridge-config.cmake in older mrpt2 versions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 09 Jun 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.4-1bookworm) bookworm; urgency=high

  * Fix missing cmake xmllint at configure time.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.3-1bookworm) bookworm; urgency=high

  * Fix build for ros2
  * Rename license as "LICENSE"
  * Add contributing.md file
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 29 May 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.2-1bookworm) bookworm; urgency=high

  * Unify ros1/ros2 build system in one single git branch.
  * Port to mrpt2, avoid dependency on pkg mrpt_bridge
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.1-1bookworm) bookworm; urgency=high

  * Add License file
  * remove wrong xml comment reference to mrpt1
  * remove travis CI
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 03 May 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.3.0-1bookworm) bookworm; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * update to mrpt2
  * add basic unit test
  * Set message to status again instead of warning
  * Updating CMakeLists.txt to pass build on Ubuntu 16.04LTS with CMake 3.5 with the latest version of MRPT
  * Add ros build farm badgets and links
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 16:00:00 -0000

ros-humble-pose-cov-ops (0.2.1-1bookworm) bookworm; urgency=high

  * fix catkin_lint issues
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 20 May 2018 16:00:00 -0000

ros-humble-pose-cov-ops (0.2.0-1bookworm) bookworm; urgency=high

  * Made compatible with MRPT 1.x and 2.x
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 08 Jan 2018 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.7-1bookworm) bookworm; urgency=high

  * relaxing need to find lib mrpt >=1.5
  * Silent GCC warnings with Eigen hdrs
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 08 Dec 2017 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.6-1bookworm) bookworm; urgency=high

  * Fix catkin dependencies
  * Use C++14
  * Fix build against MRPT 1.5 and 2.0
  * Contributors: Javier G. Monroy, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 03 Dec 2017 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.5-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.4-1bookworm) bookworm; urgency=high

  * Ported from old repository in mrpt_navigation

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 22 Dec 2014 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.3-1bookworm) bookworm; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.2-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.1-1bookworm) bookworm; urgency=high

  * First public binary release.

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 16:00:00 -0000

ros-humble-pose-cov-ops (0.1.0-1bookworm) bookworm; urgency=high

  * consistent version numbers
  * Fixed: pose_cov_ops needs export section in manifest

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 16 Dec 2014 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pose-cov-ops//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pose-cov-ops//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pose-cov-ops//opt/ros/humble/opt/pose_cov_ops/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-pose-cov-ops 0.3.12

=== debian/changelog ===
ros-humble-pose-cov-ops (0.3.12-1bookworm) bookworm; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 26 Aug 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-pose-cov-ops
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, libgtest-dev <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-ros-workspace
Homepage: https://wiki.ros.org/pose_cov_ops
Standards-Version: 3.9.2

Package: ros-humble-pose-cov-ops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-ros-workspace
Description: C++ library for SE(2)/SE(3) pose composition operations with uncertainty
